SpringBusFactory (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.bus.spring, class: SpringBusFactory

Package org.apache.cxf.bus.spring

# Class SpringBusFactory

java.lang.Object
org.apache.cxf.BusFactory
org.apache.cxf.bus.spring.SpringBusFactory

public class SpringBusFactory extends BusFactory

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.BusFactory

  `BUS_FACTORY_PROPERTY_NAME, DEFAULT_BUS_FACTORY, defaultBus, THREAD_BUS, THREAD_BUSSES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpringBusFactory()`
  `SpringBusFactory(org.springframework.beans.factory.xml.NamespaceHandlerResolver r)`
  `SpringBusFactory(org.springframework.context.ApplicationContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.context.ConfigurableApplicationContext`
  `createAppContext(URL[] urls, boolean includeDefaults)`
  `protected org.springframework.context.ConfigurableApplicationContext`
  `createApplicationContext(String[] cfgFiles, boolean includeDefaults)`
  `Bus`
  `createBus()`
  Creates a new bus.
  `Bus`
  `createBus(String cfgFile)`
  `Bus`
  `createBus(String[] cfgFiles)`
  `Bus`
  `createBus(String[] cfgFiles, boolean includeDefaults)`
  `Bus`
  `createBus(String cfgFile, boolean includeDefaults)`
  `Bus`
  `createBus(URL url)`
  `Bus`
  `createBus(URL[] urls)`
  `Bus`
  `createBus(URL[] urls, boolean includeDefaults)`
  `Bus`
  `createBus(URL url, boolean includeDefaults)`
  `protected Bus`
  `finishCreatingBus(org.springframework.context.ConfigurableApplicationContext bac)`
  `org.springframework.context.ApplicationContext`
  `getApplicationContext()`
  `void`
  `setNamespaceHandlerResolver(org.springframework.beans.factory.xml.NamespaceHandlerResolver r)`

  ### Methods inherited from class org.apache.cxf.BusFactory

  `clearDefaultBusForAnyThread, getAndSetThreadDefaultBus, getDefaultBus, getDefaultBus, getThreadDefaultBus, getThreadDefaultBus, initializeBus, newInstance, newInstance, possiblySetDefaultBus, setDefaultBus, setThreadDefaultBus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpringBusFactory

    public SpringBusFactory()

  - ### SpringBusFactory

    public SpringBusFactory(org.springframework.context.ApplicationContext context)

  - ### SpringBusFactory

    public SpringBusFactory(org.springframework.beans.factory.xml.NamespaceHandlerResolver r)

- ## Method Details

  - ### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

  - ### setNamespaceHandlerResolver

    public void setNamespaceHandlerResolver(org.springframework.beans.factory.xml.NamespaceHandlerResolver r)

  - ### createBus

    public Bus createBus()
    Description copied from class: `BusFactory`
    Creates a new bus. While concrete `BusFactory` may offer differently parameterized methods for creating a bus, all factories support this no-arg factory method.
    Specified by:
      `createBus` in class `BusFactory`
    Returns:
      the newly created bus.

  - ### createBus

    public Bus createBus(String cfgFile)

  - ### createBus

    public Bus createBus(String[] cfgFiles)

  - ### finishCreatingBus

    protected Bus finishCreatingBus(org.springframework.context.ConfigurableApplicationContext bac)

  - ### createBus

    public Bus createBus(String cfgFile, boolean includeDefaults)

  - ### createBus

    public Bus createBus(String[] cfgFiles, boolean includeDefaults)

  - ### createApplicationContext

    protected org.springframework.context.ConfigurableApplicationContext createApplicationContext(String[] cfgFiles, boolean includeDefaults)

  - ### createBus

    public Bus createBus(URL url)

  - ### createBus

    public Bus createBus(URL[] urls)

  - ### createBus

    public Bus createBus(URL url, boolean includeDefaults)

  - ### createBus

    public Bus createBus(URL[] urls, boolean includeDefaults)

  - ### createAppContext

    protected org.springframework.context.ConfigurableApplicationContext createAppContext(URL[] urls, boolean includeDefaults)